// gnome.xonotic.in.ua

textures/ad_content/1x1
{
	qer_editorimage textures/ad_content/ad1x1.tga
	nopicmip
	{
		map textures/ad_content/ad1x1.tga
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/ad_content/2x1
{
	qer_editorimage textures/ad_content/ad2x1.tga
	nopicmip
	{
		map textures/ad_content/ad2x1.tga
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/base_floor/pjgrate2
{
	surfaceparm metalsteps
	nopicmip
	cull none
	{
		map textures/base_floor/pjgrate2.tga
		tcmod scale 2.0 2.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
		rgbgen identity
	}
}

textures/base_light/ceil1_4
{
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_4.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_4.blend.tga
		blendfunc add
	}
}

textures/base_light/proto_light_2k
{
	qer_editorimage textures/base_light/proto_light.tga
	q3map_lightimage textures/base_light/proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightmap.tga
		blendfunc add
		rgbgen wave sin .5 0.5 1 .1
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc add
		rgbgen wave triangle 1 5 1 3
	}
	{
		map textures/base_light/proto_light2.tga
		blendfunc add
		tcmod scale -1 -1
		rgbgen wave triangle 1 2 0 7
	}
}

textures/base_light/xceil1_39_10k
{
	qer_editorimage textures/base_light/ceil1_39.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.blend.tga
		blendfunc add
	}
}

textures/base_trim/proto_fence
{
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/base_trim/proto_fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_trim/wires02
{
	cull disable
	surfaceparm nonsolid
	{
		map textures/base_trim/wires02.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodraw
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_editorimage textures/common/weapclip.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/phantq3dm3/fence_shadow
{
	qer_editorimage textures/phantq3dm3/fence_shadow.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/phantq3dm3/fence_shadow.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/phantq3dm3/jp_bumper_light
{
	qer_editorimage textures/base_light/ceil1_39.tga
	surfaceparm nomarks
	nopicmip
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/phantq3dm3/slime_drip
{
	qer_editorimage textures/phantq3dm3/slime_drip.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip
	sort additive
	cull none
	deformvertexes bulge 128 1 .5
	nopicmip
	{
		map textures/phantq3dm3/slime_drip.tga
		blendfunc add
		rgbgen vertex
		tcmod scale 1 .25
		tcmod scroll 0 -.2
	}
}

textures/phantq3dm3/tp_base_light_10k
{
	qer_editorimage textures/phantq3dm3/tp_base_light_001.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	nopicmip
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/phantq3dm3/tp_base_light_001.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/phantq3dm3/tp_base_light_001_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/phantq3dm3/tp_clouds_001
{
	skyparms - 512 -
	q3map_lightimage textures/phantq3dm3/tp_clouds_001.tga
	q3map_sunext .77 .91 1 175 -75 55 3 16
	q3map_lightmapfilterradius 0 8
	q3map_skylight 100 3
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	qer_editorimage textures/phantq3dm3/tp_clouds_001.tga
	{
		map textures/phantq3dm3/tp_clouds_001.tga
		tcmod scale 2 2
		depthwrite
	}
}

textures/phantq3dm3/tp_crete_decal_1
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonoffset
	sort 6
	nopicmip
	{
		map textures/phantq3dm3/tp_crete_decal_1.tga
		blendfunc gl_one gl_src_alpha
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/phantq3dm3/tp_crete_decal_10
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonoffset
	sort 6
	nopicmip
	{
		map textures/phantq3dm3/tp_crete_decal_10.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/phantq3dm3/tp_crete_decal_11
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonoffset
	sort 6
	nopicmip
	{
		map textures/phantq3dm3/tp_crete_decal_11.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/phantq3dm3/tp_crete_decal_12
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonoffset
	sort 6
	nopicmip
	{
		map textures/phantq3dm3/tp_crete_decal_12.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/phantq3dm3/tp_crete_decal_2
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonoffset
	sort 6
	nopicmip
	{
		map textures/phantq3dm3/tp_crete_decal_2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/phantq3dm3/tp_crete_decal_3
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonoffset
	sort 6
	nopicmip
	{
		map textures/phantq3dm3/tp_crete_decal_3.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/phantq3dm3/tp_crete_decal_4
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonoffset
	sort 6
	nopicmip
	{
		map textures/phantq3dm3/tp_crete_decal_4.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/phantq3dm3/tp_crete_decal_5
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonoffset
	sort 6
	nopicmip
	{
		map textures/phantq3dm3/tp_crete_decal_5.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/phantq3dm3/tp_crete_decal_6
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonoffset
	sort 6
	nopicmip
	{
		map textures/phantq3dm3/tp_crete_decal_6.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/phantq3dm3/tp_crete_decal_8
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonoffset
	sort 6
	nopicmip
	{
		map textures/phantq3dm3/tp_crete_decal_8.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/phantq3dm3/tp_factorywindow_001
{
	q3map_surfacelight 10
	nopicmip
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/phantq3dm3/tp_factorywindow_001.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/phantq3dm3/tp_factorywindow_001_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/phantq3dm3/tp_factorywindow_001_1
{
	qer_editorimage textures/phantq3dm3/tp_factorywindow_001.tga
	nopicmip
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/phantq3dm3/tp_factorywindow_001.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/phantq3dm3/tp_factorywindow_002
{
	q3map_surfacelight 10
	nopicmip
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/phantq3dm3/tp_factorywindow_002.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/phantq3dm3/tp_factorywindow_002_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/phantq3dm3/tp_factorywindow_003
{
	q3map_surfacelight 10
	nopicmip
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/phantq3dm3/tp_factorywindow_003.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/phantq3dm3/tp_factorywindow_003_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/phantq3dm3/tp_fan_rusted
{
	qer_editorimage textures/phantq3dm3/tp_fan_rusted.tga
	surfaceparm trans
	surfaceparm nomarks
	cull none
	nopicmip
	{
		clampmap textures/phantq3dm3/tp_fan_rusted.tga
		tcmod rotate 450
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/phantq3dm3/tp_fan_rusted_150
{
	qer_editorimage textures/phantq3dm3/tp_fan_rusted.tga
	surfaceparm trans
	surfaceparm nomarks
	cull none
	nopicmip
	{
		clampmap textures/phantq3dm3/tp_fan_rusted.tga
		tcmod rotate 150
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/phantq3dm3/tp_fan_shadow
{
	qer_editorimage textures/phantq3dm3/tp_fan_shadow.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	cull none
	polygonoffset
	nopicmip
	{
		clampmap textures/phantq3dm3/tp_fan_shadow.tga
		tcmod rotate 350
		blendfunc gl_zero gl_one_minus_src_color
		rgbgen exactvertex
		depthwrite
	}
}

textures/phantq3dm3/tp_fog
{
	qer_editorimage textures/phantq3dm3/tp_fog.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm fog
	fogparms ( 0.5647058 0.5294117 0.3333333 ) 5000
}

textures/phantq3dm3/tp_lightbeam_001
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip
	cull none
	{
		map textures/phantq3dm3/tp_lightbeam_001.tga
		blendfunc add
	}
}

textures/phantq3dm3/tp_machine_light
{
	qer_editorimage textures/phantq3dm3/tp_machine_light.tga
	surfaceparm trans
	surfaceparm nomarks
	q3map_surfacelight 150
	cull none
	nopicmip
	polygonoffset
	{
		map textures/phantq3dm3/tp_machine_light.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map textures/phantq3dm3/tp_machine_light_add.tga
		blendfunc add
	}
}

textures/phantq3dm3/tp_pipecap
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonoffset
	sort 6
	nopicmip
	{
		map textures/phantq3dm3/tp_pipecap.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/phantq3dm3/tp_rustedvent_001
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonoffset
	sort 6
	nopicmip
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/phantq3dm3/tp_rustedvent_001.tga
		blendfunc gl_dst_color gl_zero
	}
}

textures/phantq3dm3/tp_rustedvent_002
{
	qer_editorimage textures/phantq3dm3/tp_rustedvent_001.tga
	nopicmip
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/phantq3dm3/tp_rustedvent_001.tga
		blendfunc gl_dst_color gl_zero
	}
}

textures/phantq3dm3/tp_rust_trim_002
{
	cull none
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/phantq3dm3/tp_rust_trim_002.tga
		blendfunc gl_dst_color gl_zero
	}
}

textures/phantq3dm3/tp_rust_trim_003
{
	surfaceparm metalsteps
	surfaceparm alphashadow
	cull none
	{
		map textures/phantq3dm3/tp_rust_trim_003.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/phantq3dm3/tp_sign_machine
{
	qer_editorimage textures/phantq3dm3/tp_sign_machine.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonoffset
	sort 6
	nopicmip
	{
		map textures/phantq3dm3/tp_sign_machine.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/phantq3dm3/tp_sign_slip
{
	qer_editorimage textures/phantq3dm3/tp_sign_slip.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonoffset
	sort 6
	nopicmip
	{
		map textures/phantq3dm3/tp_sign_slip.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/phantq3dm3/tp_skylight_001
{
	q3map_surfacelight 85
	nopicmip
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/phantq3dm3/tp_skylight_001.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/phantq3dm3/tp_skylight_001_add.tga
		blendfunc gl_one gl_one
	}
}

textures/phantq3dm3/tp_skylight_002
{
	q3map_surfacelight 85
	nopicmip
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/phantq3dm3/tp_skylight_002.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/phantq3dm3/tp_skylight_002_add.tga
		blendfunc gl_one gl_one
	}
}

textures/phantq3dm3/tp_slime
{
	qer_editorimage textures/phantq3dm3/tp_slime.tga
	q3map_globaltexture
	qer_trans .80
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	nopicmip
	{
		map textures/phantq3dm3/tp_slime_1.tga
		blendfunc gl_one gl_one
		tcmod scroll .02 .02
	}
	{
		map textures/liquids/proto_poolpass.tga
		blendfunc gl_one gl_one
		tcmod scale .5 .6
		tcmod scroll .06 .04
	}
	{
		map textures/phantq3dm3/tp_slime.tga
		blendfunc gl_one gl_one
		tcmod scroll .05 .05
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/phantq3dm3/tp_stain_001
{
	nopicmip
	polygonoffset
	surfaceparm nomarks
	{
		map textures/phantq3dm3/tp_stain_001.tga
		blendfunc gl_zero gl_one_minus_src_color
	}
}

textures/phantq3dm3/tp_stain_002
{
	nopicmip
	polygonoffset
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/phantq3dm3/tp_stain_002.tga
		blendfunc gl_zero gl_one_minus_src_color
	}
}

textures/phantq3dm3/tp_stain_003
{
	nopicmip
	polygonoffset
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/phantq3dm3/tp_stain_003.tga
		blendfunc gl_zero gl_one_minus_src_color
	}
}

textures/phantq3dm3/tp_stain_004
{
	nopicmip
	polygonoffset
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/phantq3dm3/tp_stain_004.tga
		blendfunc gl_zero gl_one_minus_src_color
	}
}

textures/phantq3dm3/tp_stain_006
{
	nopicmip
	polygonoffset
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/phantq3dm3/tp_stain_006.tga
		blendfunc gl_zero gl_one_minus_src_color
	}
}

textures/phantq3dm3/tp_stain_007
{
	nopicmip
	polygonoffset
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/phantq3dm3/tp_stain_007.tga
		blendfunc gl_zero gl_one_minus_src_color
	}
}

textures/phantq3dm3/tp_wires_001
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	nopicmip
	{
		map textures/phantq3dm3/tp_wires_001.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/sfx/fan_grate
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	cull none
	nopicmip
	{
		map textures/sfx/fan_grate.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/sfx/fishy
{
	tesssize 32
	deformvertexes wave 10 sin 0 3 0 .5
	cull disable
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		clampmap textures/sfx/fishy.tga
		alphafunc ge128
		tcmod stretch sin .8 0.10 0 .07
		depthwrite
	}
}

